
Foniatr - Bug #309
nazvy testu - nutno unikatni nazev
27 January 2017 09:45 - Marek Frič

Status: Resolved Start date: 27 January 2017
Priority: Urgent Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: server Web Service Estimated time: 0.00 hour
Target version: Psychotest2 Spent time: 1.00 hour
Description

v nove verzi se neukladaji nazvy testu jako ucet_editora/nazev_testu

tim padem nastava chyba ze pokud nekdo nazve stejne svuj test jak ma nekdo jiny - tak se prepise puvodni test dle noveho ulozeni
(ale novemu editorovi se neukaze v jeho seznamu - asi nema pravo k tomu testu), vysledkem je prepsany cizi test

NUTNA OPRAVA!!!
test musi byt v systemu ulozeny pod nazvem ucet_editora/nazev_testu, pricemz editor jenom zadava do testu nazev_testu

History
#1 - 31 January 2017 01:56 - Tomáš Kulhánek
- Category set to server Web Service
- Status changed from New to Resolved
- Assignee set to Tomáš Kulhánek
- Target version set to Psychotest2
- % Done changed from 0 to 100

Radeji nez menit nazev, jsem dal dalsi podminku - stejny vlastnik. 
Test se prepise, pokud se shoduje jmeno a vlastnik. Vytvori se novy test pokud jmeno nebo vlastnik je ruzny.

#2 - 31 January 2017 10:54 - Marek Frič

souhlasim, zda se, ze to funguje. Hlavne me zajimalo, jestli pak administrator (hlavni) muze doplnit, nebo upravit tes a pak se zmeny objevi i u
puvodniho editora

Zatim to funguje

#3 - 31 January 2017 11:09 - Tomáš Kulhánek

Pokud admin zvoli test a opravi ho, mel by se opravit puvodni ne vytvorit novy a zaroven zachovat vlastnik.
